GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Core Concepts
    Events, contracts, and outcomesCombo contracts
Market Data
    OverviewFetching Markets
    Ticker formats
      OverviewCryptoSportsSports Market TaxonomyCommoditiesWeather
Trading
    QuickstartOrder lifecycle and settlement
    Full REST reference
      Combo RFQ
      Events
      Volume
      Terms
      Order Management
      Positions
        Get PositionsGet Settled PositionsGet Volume Metrics
      Rewards
    WebSocket APIs
      OverviewAuthenticationMessage format
      Streams
        Book tickerL2 partial depthL2 differential depthTrade streamOrder eventsBalance updatesPosition updatesContract statusPrediction
      Utility
      Subscriptions
      L2 Data
      Order management
      Combo RFQ
        OverviewWebSocket streamsQuote methodsMaker integrationExamples
Market Makers
    Maker Fee-Free Trading PromoTaker Rewards ProgramMaker Rebate ProgramLiquidity Rewards ProgramMarket Maker Program
Resources
    SchemasDemo environmentRate limitsErrors

Get Volume Metrics

REST APIsPrediction MarketsPositionsGet Volume Metrics

Get Volume Metrics

POSThttps://api.gemini.com/v1/prediction-markets/metrics/volume

Returns per-contract share volume metrics for an event, including total taker volume across all participants (totalQty) and the authenticated user's taker (userAggressorQty) and maker (userRestingQty) volumes. All volumes are in shares (number of contracts traded), not dollar amounts. An optional time range can filter trades within a specific window.

POSTv1/prediction-markets/metrics/volume
curl --request POST \
  --url https://api.gemini.com/v1/prediction-markets/metrics/volume \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "eventTicker": "FED260318",
  "startTime": 1772412364000,
  "endTime": 1772671564000
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

eventTickerstring·required
The event ticker symbolExample: FED260318
startTimeinteger (int64)
Start of time range filter (epoch milliseconds). If omitted, defaults to the earliest contract creation time.
endTimeinteger (int64)
End of time range filter (epoch milliseconds). If omitted, includes all trades up to now.
Example request body
{
  "eventTicker": "FED260318"
}

Responses

Successful response

eventTickerstring
The event tickerExample: FED260318
contractsarray
contracts[].symbolstring
Contract instrument symbolExample: GEMI-FED260318-CUT25
contracts[].totalQtystring
Total taker volume across all participants (in shares)Example: 94625
contracts[].userAggressorQtystring
The authenticated user's taker (aggressor) volume (in shares)Example: 1
contracts[].userRestingQtystring
The authenticated user's maker (resting) volume (in shares)Example: 0
Example Responses
{
  "eventTicker": "FED260318",
  "contracts": [
    {
      "symbol": "GEMI-FED260318-CUT25",
      "totalQty": "94625",
      "userAggressorQty": "1",
      "userRestingQty": "0"
    },
    {
      "symbol": "GEMI-FED260318-CUTGT25",
      "totalQty": "68666",
      "userAggressorQty": "0",
      "userRestingQty": "0"
    },
    {
      "symbol": "GEMI-FED260318-HIKE",
      "totalQty": "15397",
      "userAggressorQty": "0",
      "userRestingQty": "0"
    },
    {
      "symbol": "GEMI-FED260318-MAINTAIN",
      "totalQty": "20400",
      "userAggressorQty": "5",
      "userRestingQty": "0"
    }
  ]
}
PreviousGet Settled PositionsNextEvents